Hi,

At Tue, 4 Sep 2007 23:45:05 +0900,
Florian Frank wrote in [ruby-core:12068]:
> I just found out, that Ruby 1.9 does not install the version.h in its header
> includes directory. An extension I wanted to compile for 1.9 tried to include
> version.h in order to check against RUBY_VERSION_CODE for #if macros and the
> like, which caused the compilation to fail. Is it an oversight, that version.h
> isn't included anymore or is there some other (preferred) way to find out the
> version at the compilation stage of an extension?

You cannot check version code anymore.  If you need to check if
a feature is provieded, just do it in extconf.rb.  It's much
more reliable than searching when it was added.

-- 
Nobu Nakada